Subject: changing the From: address when using Pine

From: Paul Booth <[email-masked]>
Date: Wed, 25 Sep 1996 22:23:30 GMT

-----BEGIN PGP SIGNED MESSAGE-----

OK, this is bending my brain a bit, and I'd like some help/ideas to tell
me if what I want done can be done *cleanly* :-).

I have a machine, which has a hostname (and obviously an email domain)
which I want to keep intact for other users of the machine.

So, my machine has say, an A address of machine-1.domain.com.

Which is fine, or should be.

But I have a different email address at machine-2.domain.org, which I want
to use instead of [email-masked].

I thought it would be possible using re-writing rules in Sendmail, which I
did, and which works fine for mail, elm and probably mush.

Trouble is, I'm using pine, and it doesn't work.

Is there any way of doing this? I'd like to keep some of the features of
pine like looking in the passwd fine to qualify addresses and such.

I know that setting:

'user-domain' = machine-2.domain.org would work but this would mean that
any unqualified mail would be made up as [email-masked] which
isn't the local machine so is defeating the objecting. I could turn this
off using 'compose-rejects-unqualified-addrs' but I wouldn't get local
lookup then :-).

Argh. Why can't pine just let sendmail rewrite headers? :-).

Just out of interest, if I was to set 'compose-rejects-unqualified-addrs'
it would override 'quell-user-lookup-in-passwd-file' wouldn't it?

Cheers for your time,

Paul.